Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStickerAnimated

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputSticker
it.tdlight.jni.TdApi.InputStickerAnimated

Enclosing class:
  TdApi

public static final class TdApi.InputStickerAnimated extends TdApi.InputSticker
An animated sticker in TGS format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emojis`
Emojis corresponding to the sticker.
`TdApi.InputFile`
`sticker`
File with the animated sticker.

## Constructor Summary

Constructors
Constructor
Description
`InputStickerAnimated()`
An animated sticker in TGS format.
`InputStickerAnimated(TdApi.InputFile sticker, String emojis)`
An animated sticker in TGS format.
`InputStickerAnimated(DataInput input)`
An animated sticker in TGS format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
File with the animated sticker. Only local or uploaded within a week files are supported. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

### emojis

public String emojis
Emojis corresponding to the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputStickerAnimated

public InputStickerAnimated()
An animated sticker in TGS format.

### InputStickerAnimated

public InputStickerAnimated(TdApi.InputFile sticker, String emojis)
An animated sticker in TGS format.

Parameters:
  `sticker` - InputFile File with the animated sticker. Only local or uploaded within a week files are supported. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.
  `emojis` - String Emojis corresponding to the sticker.

### InputStickerAnimated

public InputStickerAnimated(DataInput input) throws IOException
An animated sticker in TGS format.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`